Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.common
Class ThreadPool

    java.lang.Object
      lbg.common.ThreadPool

    public class ThreadPool

extends java.lang.Object

Author:
  Cyril Briquet

Field Summary
`static int` | `DEFAULT_THREAD_POOL_SIZE`

Constructor Summary
`ThreadPool(java.lang.Runnable runnable, int thread_pool_size, boolean set_daemon, boolean hi_priority, java.lang.String thread_name)`

Method Summary
`static void` | `nap(long millis)`
`static void` | `sleep(long seconds)`
`void` | `startService()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_THREAD_POOL_SIZE

    public static final int DEFAULT_THREAD_POOL_SIZE

Constructor Detail

### ThreadPool

    public ThreadPool(java.lang.Runnable runnable,
                      int thread_pool_size,
                      boolean set_daemon,
                      boolean hi_priority,
                      java.lang.String thread_name)
               throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### startService

    public void startService()
                      throws GridException

  Throws:
    `GridException`

### sleep

    public static void sleep(long seconds)
                      throws GridException

  Throws:
    `GridException`

### nap

    public static void nap(long millis)
                    throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.